<?php
    $custom_labels = array(
        'name'                => esc_html__( 'Image Caption Hover', 'image-caption-hover' ),
        'singular_name'       => esc_html__( 'Image Caption Hover', 'image-caption-hover' ),
        'add_new'             => _x( 'Add New', 'image-caption-hover', 'image-caption-hover' ),
        'add_new_item'        => esc_html__( 'Add New', 'image-caption-hover' ),
        'name_admin_bar'        => esc_html__( 'Image Caption Hover', 'image-caption-hover' ),
        'edit_item'           => esc_html__( 'Edit', 'image-caption-hover' ),
        'new_item'            => esc_html__( 'New', 'image-caption-hover' ),
        'view_item'           => esc_html__( 'View', 'image-caption-hover' ),
        'search_items'        => esc_html__( 'Search', 'image-caption-hover' ),
        'not_found'           => esc_html__( 'No images found, please add new', 'image-caption-hover' ),
        'not_found_in_trash'  => esc_html__( 'No images found in trash', 'image-caption-hover' ),
        'parent_item_colon'   => esc_html__( 'Parent:', 'image-caption-hover' ),
        'menu_name'           => esc_html__( 'Image Caption Hover', 'image-caption-hover' ),
        'all_items'           => esc_html__( 'View All', 'image-caption-hover' ),
    );

    $anim_args = array(
        'labels'              => $custom_labels,
        'hierarchical'        => false,
        'description'         => 'Image Caption Hover',
        'public'              => false,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => null,
        'menu_icon'           => 'dashicons-screenoptions',
        'show_in_nav_menus'   => false,
        'publicly_queryable'  => false,
        'exclude_from_search' => true,
        'has_archive'         => false,
        'query_var'           => true,
        'can_export'          => true,
        'rewrite'             => true,
        'capability_type'     => 'post',
        'supports'            => array(
            'title'
            )
    );

    register_post_type( 'ich_cpt', $anim_args );
?>