<?php
    $mason =  (isset($ich_settings['masonry_grid'])) ? '<input type="hidden" class="masonry-width">' : '' ;

    // Init Vars
    $eq_height_class = (isset($ich_settings['equal_height'])) ? 'equal-heights' : '' ;
    $padding = (isset($ich_settings['col_space'])) ? $ich_settings['col_space'] : '20px' ;
    $css_class = 'mason-item col-1-'.$ich_settings['columns'];
    $grid_class = 'grid grid-pad';
    $grid_styles = 'padding-top: '.$padding.';padding-left: '.$padding.';padding-right: 0px;';
    $wrap_class = 'ich-prefix';

    if (isset($ich_settings['bs_col']) && $ich_settings['bs_col'] != '') {
        wp_enqueue_style( 'ich-framework', ICH_URL. '/assets/css/framework.css');
        $css_class = 'mason-item '.$ich_settings['bs_col'];
        $grid_class = 'row';
        $grid_styles = '';
        $wrap_class = 'ich-settings-main-wrap';
    }

    echo stripcslashes($mason);
    $rand_class = 'ich-main-'.rand(1,2000);
?>
<div class="<?php echo esc_attr( $wrap_class ); ?> grid-rel">
    <div class="<?php echo esc_attr( $grid_class ); ?> wcp-fgg-wrap <?php echo esc_attr( $eq_height_class ); ?> <?php echo esc_attr( $rand_class ); ?>">
        <?php foreach ($ich_images as $key => $data) { ?>
            <div class="<?php echo esc_attr( $css_class ); ?>" id="ich-<?php echo esc_attr( $atts['id'] ).'-'.esc_attr( $key ); ?>">
                <?php do_action( 'ich_render_image_box', $atts['id'], $key, $data ); ?>
            </div>
        <?php } ?>
    </div>
</div>
<style>
    .<?php echo esc_attr($rand_class);  ?> {
        <?php echo esc_attr($grid_styles); ?>
    }
</style>