<?php if (strpos($hovereffect, 'square') !== false || strpos($hovereffect, 'circle') !== false) { ?>
    <style>
        <?php if (isset($ich_settings['carousel']) && $ich_settings['carousel'] == 'carousel') { ?>
            
        <?php } else { ?>
            #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> {
                padding-right: <?php echo (isset($ich_settings['bs_col']) && $ich_settings['bs_col'] != '') ? '' : $padding; ?>;
                padding-bottom: <?php echo (isset($ich_settings['bs_col']) && $ich_settings['bs_col'] != '') ? '' : $padding; ?>;
            }
        <?php } ?>
        <?php if (strpos($hovereffect, 'circle') !== false) { ?>
            #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .img:before {
                box-shadow: <?php echo esc_attr($box_shadow); ?>;
            }
        <?php } ?>
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .wcp-caption-plugin {
            border-width: <?php echo esc_attr($border_width); ?>;
            border-style: <?php echo esc_attr($border_style); ?>;
            border-color: <?php echo esc_attr($border_color); ?>;
            border-radius: <?php echo esc_attr($border_radius); ?>;
            box-shadow: <?php echo (strpos($hovereffect, 'circle') !== false) ? '' : esc_attr($box_shadow); ?>;
            width: <?php echo ($boxwidth != '') ? esc_attr($boxwidth) : '100%'; ?>;
            height: <?php echo ($boxheight != '') ? esc_attr($boxheight) : 'auto'; ?>;
            margin: <?php echo ($boxwidth != '') ? '0 auto' : '0'; ?>;
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .img {
            border-radius: <?php echo esc_attr($border_radius); ?>;
            -webkit-transition-duration: <?php echo esc_attr($animationspeed); ?>; /* Safari */
            transition-duration: <?php echo esc_attr($animationspeed); ?>;                            
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .info {
            -webkit-transition-duration: <?php echo esc_attr($animationspeed); ?>; /* Safari */
            transition-duration: <?php echo esc_attr($animationspeed); ?>;                            
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .info h3 {
            color: <?php echo esc_attr( $titlecolor ); ?>;
            font-size: <?php echo (isset($title_font_size)) ? esc_attr( $title_font_size ) : '' ; ?>;
            background-color: <?php echo (isset($title_bg_color)) ? $title_bg_color : '' ; ?>;                            
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .centered-text {
            text-align: <?php echo esc_attr($captionalignment); ?>;
            padding: 5px;
        }    
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .bottom-caption {
            text-align: <?php echo esc_attr($captionalignment); ?>;
        }        
    </style>
<?php } else { ?>
    <style>
        <?php if (isset($ich_settings['carousel']) && $ich_settings['carousel'] == 'carousel') { ?>

        <?php } else { ?>
            #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> {
                padding-right: <?php echo (isset($ich_settings['bs_col']) && $ich_settings['bs_col'] != '') ? '' : esc_attr($padding); ?>;
                padding-bottom: <?php echo (isset($ich_settings['bs_col']) && $ich_settings['bs_col'] != '') ? '' : esc_attr($padding); ?>;
            }
        <?php } ?>
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .wcp-caption-plugin {
            border-width: <?php echo esc_attr($border_width); ?>;
            border-style: <?php echo esc_attr($border_style); ?>;
            border-color: <?php echo esc_attr($border_color); ?>;
            border-radius: <?php echo esc_attr($border_radius); ?>;
            box-shadow: <?php echo esc_attr($box_shadow); ?>;
            width: <?php echo ($boxwidth != '') ? $boxwidth : '100%'; ?>;
            height: <?php echo ($boxheight != '') ? $boxheight : 'auto'; ?>;
            margin: <?php echo ($boxwidth != '') ? '0 auto' : '0'; ?>;
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .caption {
            border-radius: <?php echo esc_attr($border_radius); ?>;
            background-color: <?php echo esc_attr($captionbg); ?>;
            color: <?php echo esc_attr($captioncolor); ?> !important;
            -webkit-transition-duration: <?php echo esc_attr($animationspeed); ?>; /* Safari */
            transition-duration: <?php echo esc_attr($animationspeed); ?>;
            height: <?php echo ($captionoverlay == 'full') ? '100%' : 'auto'; ?>;
            top: <?php echo ($captionoverlay == 'top') ? '0' : ''; ?>;
            bottom: <?php echo ($captionoverlay == 'bottom') ? '0' : ''; ?>;
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .caption .centered-text {
            text-align: <?php echo esc_attr($captionalignment); ?>;
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .caption .centered-text * {
            color: <?php echo esc_attr($captioncolor); ?> !important;
        }
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .wcp-caption-image {
            -webkit-transition-duration: <?php echo esc_attr($animationspeed); ?>;
            transition-duration: <?php echo esc_attr($animationspeed); ?>;
            border-radius: <?php echo esc_attr($border_radius); ?>;
            height: <?php echo ($boxheight != '') ? esc_attr($boxheight) : ''; ?>;
            width: <?php echo ($boxwidth != '') ? esc_attr($boxwidth) : ''; ?>;
        }
    </style>                
<?php } ?>
<?php if (isset($infoBack) && !$infoBack) { ?>
    <style>
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .info {
          border-radius: <?php echo esc_attr($border_radius); ?>;
          background-color: <?php echo esc_attr($captionbg); ?>;
          color: <?php echo esc_attr($captioncolor); ?>;
        }
    </style>
<?php } ?>
<?php if (isset($infoBack) && $infoBack) { ?>
    <style>
        #ich-<?php echo esc_attr($box_id).'-'.esc_attr($key); ?> .info-back {
          border-radius: <?php echo esc_attr($border_radius); ?>;
          background-color: <?php echo esc_attr($captionbg); ?>;
          color: <?php echo esc_attr($captioncolor); ?>;
        }
    </style>
<?php } ?>